=== proxmox/pbs-api-types/debian/changelog ===
rust-pbs-api-types (1.0.9-1) trixie; urgency=medium

  * add optional fallback variants to enums in public API. This is guarded
    behind the "enum-fallback" feature so that consumers of these types can
    avoid failing serialization and see what they missed while producers of
    this types do not need to care about this.

 -- Proxmox Support Team <support@proxmox.com>  Sun, 30 Nov 2025 22:07:22 +0100

rust-pbs-api-types (1.0.8-1) trixie; urgency=medium

  * datastore: add default-verification-{workers, readers} to tuning options.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 24 Nov 2025 14:02:20 +0100

rust-pbs-api-types (1.0.7-1) stable; urgency=medium

  * ClientRateLimitConfig: allow traffic-control rules to match users

 -- Proxmox Support Team <support@proxmox.com>  Fri, 21 Nov 2025 19:27:18 +0100

rust-pbs-api-types (1.0.6-1) stable; urgency=medium

  * add schema for {worker, read, verify}-threads.
  * jobs: add {read, verify}-threads to VerificationJobConfig.
  * use worker-threads schema for TapeBackupJobSetup.
  * add 'unmount-on-done' field to sync job config.

 -- Proxmox Support Team <support@proxmox.com>  Fri, 14 Nov 2025 22:28:34 +0100

rust-pbs-api-types (1.0.5-1) stable; urgency=medium

  * crypto: improve deserialization for Fingerprint with custom visitor

  * pbs-api-types: add NodeShellTicket

 -- Proxmox Support Team <support@proxmox.com>  Fri, 14 Nov 2025 11:41:14 +0100

rust-pbs-api-types (1.0.4-1) trixie; urgency=medium

  * update proxmox-schema to 5.0.0

 -- Proxmox Support Team <support@proxmox.com>  Thu, 04 Sep 2025 12:00:58 +0200

rust-pbs-api-types (1.0.3-1) trixie; urgency=medium

  * only include api-types from s3 client crate as dependency to avoid that
    our users need to pull in the whole tokio et al. stack, which is not
    possible for the WASM based Yew UIs.

  * move code over to common proxmox-network-api types.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 06 Aug 2025 19:14:54 +0200

rust-pbs-api-types (1.0.2-1) trixie; urgency=medium

  * extend datastore config by optional backend property enum, for new S3
    backed datastores.

  * add new maintenance mode S3 refresh.

  * add run-on-mount flag to sync job config for removable datastores.

 -- Proxmox Support Team <support@proxmox.com>  Tue, 22 Jul 2025 21:45:43 +0200

rust-pbs-api-types (1.0.1-1) trixie; urgency=medium

  * change default notification mode to 'notification-system'

  * extend garbage collection status by cache stats

 -- Proxmox Support Team <support@proxmox.com>  Wed, 16 Jul 2025 00:54:42 +0200

rust-pbs-api-types (1.0.0-1) trixie; urgency=medium

  * re-build for Debian Trixie based releases.

 -- Proxmox Support Team <support@proxmox.com>  Fri, 30 May 2025 18:51:13 +0200

rust-pbs-api-types (0.2.2) bookworm; urgency=medium

  * add garbage collection atime safety check flag.
  * add option to set GC chunk cleanup atime cutoff.
  * fix #5379: add `default` field for all realm types.
  * sync: add sync encrypted/verified snapshots only flags.
  * add garbage collection cache capacity tuning option.

 -- Proxmox Support Team <support@proxmox.com>  Sat, 05 Apr 2025 17:22:09 +0200

rust-pbs-api-types (0.2.1) bookworm; urgency=medium

  * metrics: relax influx organization and bucket length
  * tape backup job: add worker threads option
  * user: add boolean-schema for regenerate-api-token flag

 -- Proxmox Support Team <support@proxmox.com>  Wed, 02 Apr 2025 15:34:49 +0200

rust-pbs-api-types (0.2.0) bookworm; urgency=medium

  * imported from proxmox-backup repository

 -- Proxmox Support Team <support@proxmox.com>  Wed, 22 Jan 2025 09:40:51 +0100
