=== proxmox/pve-api-types/debian/changelog ===
rust-pve-api-types (8.1.4-1) trixie; urgency=medium

  * add node config get api call.
  * add cluster options api call.

 -- Proxmox Support Team <support@proxmox.com>  Tue, 02 Dec 2025 00:25:11 +0100

rust-pve-api-types (8.1.3-1) trixie; urgency=medium

  * enable enum-fallback for proxmox-apt-api-types for better backward
    compatibility.

  * don't mark URL parameters as optional.

  * handle fields named `ref`, which is a special keyword for rust, through
    using raw identifiers, similar to how we already handle `macro`.

  * percent-encode string parameters in the URL.

  * generate array objects. Previously the array objects had their *item* as
    schema, while we now generate the object schema by pointing to the item
    schemas for each field.

  * add method to get return schema of api.

  * fix #7080: pve-api-types: mark 'has-dbus-vmstate' optional.

  * generate ip-vrf / mac-vrf endpoints.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 01 Dec 2025 19:56:44 +0100

rust-pve-api-types (8.1.2-1) trixie; urgency=medium

  * add bindings for a PVE nodes APT package versions and APT package
    repository state.

  * add bindings for get/update firewall options endpoints.

  * add bindings for add list firewall rules endpoints.

 -- Proxmox Support Team <support@proxmox.com>  Thu, 27 Nov 2025 21:27:47 +0100

rust-pve-api-types (8.1.1-1) trixie; urgency=medium

  * derive Clone and PartialEq for LxcConfigNet.
  * rename QemuPendingConfigValue to PendingConfigValue as it can be used in a
    generic manner.
  * prepare API wrappers and types for LXC config, pending and move volume.
  * update API schema JSON file to current PVE 9.1 development state and
    refresh the generated types.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 26 Nov 2025 21:49:06 +0100

rust-pve-api-types (8.1.0-1) trixie; urgency=medium

  * add FixedString type as a custom, immutable, string type, that main
    feature is being Copy, but is limited to up to 23 characters.

  * generate fallback variant for enums using the new FixedString type to
    store the name of such an unknown variant, allow more telling error
    messages or the use site to even decide that they can still work with that
    variant without an error in certain cases.
    This avoids that a use site breaks down completely if it gets send a
    unknown variant. The most common case this can happen is a newer backend
    for an older frontend (or vice versa), or special projects like PDM, which
    should be able to consume multiple product APIs over multiple versions.

  * regenerate types.

  * sdn: handle fallback variant.

 -- Proxmox Support Team <support@proxmox.com>  Thu, 13 Nov 2025 22:01:11 +0100

rust-pve-api-types (8.0.9-1) trixie; urgency=medium

  * update /cluster/resources endpoint as zone-type is now kebab-cased as
    well, instead of snake_cased.

 -- Proxmox Support Team <support@proxmox.com>  Thu, 13 Nov 2025 21:08:23 +0100

rust-pve-api-types (8.0.8-1) trixie; urgency=medium

  * add termproxy api call and types.
  * update /cluster/resources endpoint to incorporate new network,
    network-type, protocol and zone-type properties.
  * 

 -- Proxmox Support Team <support@proxmox.com>  Wed, 12 Nov 2025 21:57:26 +0100

rust-pve-api-types (8.0.7-1) trixie; urgency=medium

  * include latest pve-storage changes: add StorageInfoFormats
  * expose sync qemu_update_config

 -- Proxmox Support Team <support@proxmox.com>  Wed, 05 Nov 2025 12:10:55 +0100

rust-pve-api-types (8.0.6-1) trixie; urgency=medium

  * add qemu_cpu_capabilities api
  * add qemu_resize api
  * add qemu_move_disk api

 -- Proxmox Support Team <support@proxmox.com>  Tue, 04 Nov 2025 07:46:01 +0100

rust-pve-api-types (8.0.5-1) trixie; urgency=medium

  * implement array deduplication
  * schema2rust: handle missing properties hash in parameters
  * update json schema
  * generate arrays for types with '-list' format
  * add regex for storage and bridge pair

 -- Proxmox Support Team <support@proxmox.com>  Tue, 28 Oct 2025 13:35:41 +0100

rust-pve-api-types (8.0.4-1) trixie; urgency=medium

  * add qemu_update_config_async api

  * introduce regex-compilation tests

  * expose qemu pending api

 -- Proxmox Support Team <support@proxmox.com>  Thu, 16 Oct 2025 13:33:50 +0200

rust-pve-api-types (8.0.3-1) trixie; urgency=medium

  * derive Clone and PartialEq for ClusterResource

 -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Oct 2025 10:09:11 +0200

rust-pve-api-types (8.0.2-1) trixie; urgency=medium

  * Include snapshot info in vm config return schema.
  * `cluster_metrics_export` now has an additional optional node_list
    parameter.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 01 Oct 2025 10:42:09 +0200

rust-pve-api-types (8.0.1-1) trixie; urgency=medium

  * generate MAX constant for array types

 -- Proxmox Support Team <support@proxmox.com>  Mon, 29 Sep 2025 14:46:23 +0200

rust-pve-api-types (8.0.0-1) trixie; urgency=medium

  * initial packaging after having been split out from proxmox-api-types.git.
    This was used purely as git submodule before now.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 15 Sep 2025 20:02:18 +0200
