=== proxmox/pbs-api-types/debian/control ===
Source: rust-pbs-api-types
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev <!nocheck>,
 librust-const-format-0.2+default-dev <!nocheck>,
 librust-hex-0.4+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev (>= 2.1-~~) <!nocheck>,
 librust-proxmox-apt-api-types-2+default-dev (>= 2.0.4-~~) <!nocheck>,
 librust-proxmox-auth-api-1+api-types-dev (>= 1.0.5-~~) <!nocheck>,
 librust-proxmox-auth-api-1+default-dev (>= 1.0.5-~~) <!nocheck>,
 librust-proxmox-fixed-string-0.1+default-dev <!nocheck>,
 librust-proxmox-human-byte-1+default-dev <!nocheck>,
 librust-proxmox-lang-1+default-dev (>= 1.5-~~) <!nocheck>,
 librust-proxmox-s3-client-1+api-types-dev (>= 1.2-~~) <!nocheck>,
 librust-proxmox-s3-client-1+default-dev (>= 1.2-~~) <!nocheck>,
 librust-proxmox-schema-5+api-macro-dev (>= 5.0.1-~~) <!nocheck>,
 librust-proxmox-schema-5+default-dev (>= 5.0.1-~~) <!nocheck>,
 librust-proxmox-serde-1+default-dev <!nocheck>,
 librust-proxmox-serde-1+serde-json-dev <!nocheck>,
 librust-proxmox-time-2+default-dev (>= 2.1.0-~~) <!nocheck>,
 librust-proxmox-uuid-1+default-dev (>= 1.1.0-~~) <!nocheck>,
 librust-proxmox-uuid-1+serde-dev (>= 1.1.0-~~) <!nocheck>,
 librust-regex-1+default-dev (>= 1.5-~~) <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-plain-1+default-dev <!nocheck>
Maintainer: Proxmox Support Team <support@proxmox.com>
Standards-Version: 4.7.2
Vcs-Git: git://git.proxmox.com/git/proxmox.git
Vcs-Browser: https://git.proxmox.com/?p=proxmox.git
X-Cargo-Crate: pbs-api-types

Package: librust-pbs-api-types-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-const-format-0.2+default-dev,
 librust-hex-0.4+default-dev,
 librust-percent-encoding-2+default-dev (>= 2.1-~~),
 librust-proxmox-apt-api-types-2+default-dev (>= 2.0.4-~~),
 librust-proxmox-auth-api-1+api-types-dev (>= 1.0.5-~~),
 librust-proxmox-auth-api-1+default-dev (>= 1.0.5-~~),
 librust-proxmox-fixed-string-0.1+default-dev,
 librust-proxmox-human-byte-1+default-dev,
 librust-proxmox-lang-1+default-dev (>= 1.5-~~),
 librust-proxmox-s3-client-1+api-types-dev (>= 1.2-~~),
 librust-proxmox-s3-client-1+default-dev (>= 1.2-~~),
 librust-proxmox-schema-5+api-macro-dev (>= 5.0.1-~~),
 librust-proxmox-schema-5+default-dev (>= 5.0.1-~~),
 librust-proxmox-serde-1+default-dev,
 librust-proxmox-serde-1+serde-json-dev,
 librust-proxmox-time-2+default-dev (>= 2.1.0-~~),
 librust-proxmox-uuid-1+default-dev (>= 1.1.0-~~),
 librust-proxmox-uuid-1+serde-dev (>= 1.1.0-~~),
 librust-regex-1+default-dev (>= 1.5-~~),
 librust-serde-1+default-dev,
 librust-serde-plain-1+default-dev
Provides:
 librust-pbs-api-types+default-dev (= ${binary:Version}),
 librust-pbs-api-types+enum-fallback-dev (= ${binary:Version}),
 librust-pbs-api-types-1-dev (= ${binary:Version}),
 librust-pbs-api-types-1+default-dev (= ${binary:Version}),
 librust-pbs-api-types-1+enum-fallback-dev (= ${binary:Version}),
 librust-pbs-api-types-1.0-dev (= ${binary:Version}),
 librust-pbs-api-types-1.0+default-dev (= ${binary:Version}),
 librust-pbs-api-types-1.0+enum-fallback-dev (= ${binary:Version}),
 librust-pbs-api-types-1.0.9-dev (= ${binary:Version}),
 librust-pbs-api-types-1.0.9+default-dev (= ${binary:Version}),
 librust-pbs-api-types-1.0.9+enum-fallback-dev (= ${binary:Version})
Description: API types for Proxmox Backup Server - Rust source code
 Source code for Debianized Rust crate "pbs-api-types"
