=== proxmox/pve-api-types/debian/control ===
Source: rust-pve-api-types
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev <!nocheck>,
 librust-async-trait-0.1+default-dev <!nocheck>,
 librust-proxmox-api-macro-1+default-dev (>= 1.4.3-~~) <!nocheck>,
 librust-proxmox-apt-api-types-2+default-dev (>= 2.0.4-~~) <!nocheck>,
 librust-proxmox-apt-api-types-2+enum-fallback-dev (>= 2.0.4-~~) <!nocheck>,
 librust-proxmox-fixed-string-0.1+default-dev <!nocheck>,
 librust-proxmox-schema-5+api-macro-dev (>= 5.0.1-~~) <!nocheck>,
 librust-proxmox-schema-5+api-types-dev (>= 5.0.1-~~) <!nocheck>,
 librust-proxmox-schema-5+default-dev (>= 5.0.1-~~) <!nocheck>,
 librust-proxmox-serde-1+default-dev <!nocheck>,
 librust-proxmox-serde-1+perl-dev <!nocheck>,
 librust-proxmox-serde-1+serde-json-dev <!nocheck>,
 librust-regex-1+default-dev (>= 1.5-~~) <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-serde-json-1+default-dev <!nocheck>,
 librust-serde-plain-1+default-dev <!nocheck>
Maintainer: Proxmox Support Team <support@proxmox.com>
Standards-Version: 4.7.2
Vcs-Git: git://git.proxmox.com/git/proxmox.git
Vcs-Browser: https://git.proxmox.com/?p=proxmox.git
Homepage: https://git.proxmox.com/?p=proxmox.git
X-Cargo-Crate: pve-api-types

Package: librust-pve-api-types-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-async-trait-0.1+default-dev,
 librust-proxmox-api-macro-1+default-dev (>= 1.4.3-~~),
 librust-proxmox-apt-api-types-2+default-dev (>= 2.0.4-~~),
 librust-proxmox-apt-api-types-2+enum-fallback-dev (>= 2.0.4-~~),
 librust-proxmox-fixed-string-0.1+default-dev,
 librust-proxmox-schema-5+api-macro-dev (>= 5.0.1-~~),
 librust-proxmox-schema-5+api-types-dev (>= 5.0.1-~~),
 librust-proxmox-schema-5+default-dev (>= 5.0.1-~~),
 librust-proxmox-serde-1+default-dev,
 librust-proxmox-serde-1+perl-dev,
 librust-proxmox-serde-1+serde-json-dev,
 librust-regex-1+default-dev (>= 1.5-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-plain-1+default-dev
Suggests:
 librust-pve-api-types+client-dev (= ${binary:Version}),
 librust-pve-api-types+client-util-dev (= ${binary:Version})
Provides:
 librust-pve-api-types+default-dev (= ${binary:Version}),
 librust-pve-api-types-8-dev (= ${binary:Version}),
 librust-pve-api-types-8+default-dev (= ${binary:Version}),
 librust-pve-api-types-8.1-dev (= ${binary:Version}),
 librust-pve-api-types-8.1+default-dev (= ${binary:Version}),
 librust-pve-api-types-8.1.4-dev (= ${binary:Version}),
 librust-pve-api-types-8.1.4+default-dev (= ${binary:Version})
Description: Proxmox VE API types - Rust source code
 Source code for Debianized Rust crate "pve-api-types"

Package: librust-pve-api-types+client-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pve-api-types-dev (= ${binary:Version}),
 librust-pve-api-types+client-util-dev (= ${binary:Version}),
 librust-proxmox-client-1+default-dev,
 librust-proxmox-client-1+perl-api-path-builder-dev
Provides:
 librust-pve-api-types-8+client-dev (= ${binary:Version}),
 librust-pve-api-types-8.1+client-dev (= ${binary:Version}),
 librust-pve-api-types-8.1.4+client-dev (= ${binary:Version})
Description: Proxmox VE API types - feature "client"
 This metapackage enables feature "client" for the Rust pve-api-types crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-pve-api-types+client-util-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-pve-api-types-dev (= ${binary:Version}),
 librust-percent-encoding-2+default-dev (>= 2.1-~~)
Provides:
 librust-pve-api-types-8+client-util-dev (= ${binary:Version}),
 librust-pve-api-types-8.1+client-util-dev (= ${binary:Version}),
 librust-pve-api-types-8.1.4+client-util-dev (= ${binary:Version})
Description: Proxmox VE API types - feature "client-util"
 This metapackage enables feature "client-util" for the Rust pve-api-types
 crate, by pulling in any additional dependencies needed by that feature.
